# openforcefield.typing.engines.smirnoff.parameters.ParameterList

class `openforcefield.typing.engines.smirnoff.parameters.``ParameterList`(input_parameter_list=None)

  Parameter list that also supports accessing items by SMARTS string.

  Warning

  This API is experimental and subject to change.

  Methods

  `append`(self, parameter) | Add a ParameterType object to the end of the ParameterList
  `clear`() |
  `copy`() |
  `count`() |
  `extend`(self, other) | Add a ParameterList object to the end of the ParameterList
  `index`(self, item) | Get the numerical index of a ParameterType object or SMIRKS in this ParameterList.
  `insert`(self, index, parameter) | Add a ParameterType object as if this were a list
  `pop`() | Raises IndexError if list is empty or index is out of range.
  `remove`() | Raises ValueError if the value is not present.
  `reverse`() | L.reverse() – reverse IN PLACE
  `sort`() |
  `to_list`(self[, discard_cosmetic_attributes]) | Render this ParameterList to a normal list, serializing each ParameterType object in it to dict.

  `__init__`(self, input_parameter_list=None)

    Initialize a new ParameterList, optionally providing a list of ParameterType objects to initially populate it.

    Parameters
      input_parameter_list: list[ParameterType], default=None

        A pre-existing list of ParameterType-based objects. If None, this ParameterList will be initialized empty.

  Methods

  `__init__`(self[, input_parameter_list]) | Initialize a new ParameterList, optionally providing a list of ParameterType objects to initially populate it.
  `append`(self, parameter) | Add a ParameterType object to the end of the ParameterList
  `clear`() |
  `copy`() |
  `count`() |
  `extend`(self, other) | Add a ParameterList object to the end of the ParameterList
  `index`(self, item) | Get the numerical index of a ParameterType object or SMIRKS in this ParameterList.
  `insert`(self, index, parameter) | Add a ParameterType object as if this were a list
  `pop`() | Raises IndexError if list is empty or index is out of range.
  `remove`() | Raises ValueError if the value is not present.
  `reverse`() | L.reverse() – reverse IN PLACE
  `sort`() |
  `to_list`(self[, discard_cosmetic_attributes]) | Render this ParameterList to a normal list, serializing each ParameterType object in it to dict.